package com.base.core.model.enity;

import org.springframework.beans.BeanUtils;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * The persistent class for the BIZ_REQUIRE database table.
 * 
 */
	//@Entity
	//@Table(name="BIZ_REQUIRE")
	//@NamedQuery(name="XjBizRequire.findAll", query="SELECT x FROM XjBizRequire x")
public class BizRequire implements Serializable {
	private static final long serialVersionUID = 1L;

	//	//@Id
	private String id;

	//	//@Column(name="AREA_ID")
	private String areaId;

	//	//@Column(name="COLOUD_LEVEL")
	private String coloudLevel;

	//	//@Column(name="COMPRESS_RATIO")
	private String compressRatio;

	//	//@Column(name="FIRST_PRINCIPLE")
	private BigDecimal firstPrinciple;

	//	//@Column(name="IMAGING_TIME")
	private String imagingTime;

	//	//@Column(name="IS_REALTIME_TRANS")
	private BigDecimal isRealtimeTrans;

	//	//@Column(name="IS_SCALE")
	private BigDecimal isScale;

	//	//@Column(name="IS_STRIP_SPLITTING")
	private BigDecimal isStripSplitting;

	//	//@Column(name="IS_TEREO_IMAGING")
	private BigDecimal isTereoImaging;

	//	//@Column(name="MEASURE_STATION")
	private String measureStation;

	//	//@Column(name="PARENT_ID")
	private String columnName;

	private String payloads;

	//	//@Column(name="PITCH_ANGLE")
	private BigDecimal pitchAngle;

	private BigDecimal priority;

	//	//@Column(name="PRODUCT_DEST")
	private String productDest;

	//	//@Column(name="PRODUCT_FORMAT")
	private String productFormat;

	//	//@Column(name="PRODUCT_LEVEL")
	private String productLevel;

	//	//@Column(name="PRODUCT_TYPE")
	private String productType;

	//	//@Column(name="RECEIVE_STATION")
	private String receiveStation;

	//	//@Column(name="RELAY_STATELLITE")
	private String relayStatellite;

	//	//@Column(name="REQ_GROUP")
	private String reqGroup;

	//	//@Column(name="REQ_UNIT")
	private String reqUnit;

	//	//@Column(name="REQIURE_SOURCE")
	private String reqiureSource;

	//	//@Column(name="REQIURE_SOURCE_DESC")
	private String reqiureSourceDesc;

	//	//@Column(name="REQUIRE_B_ID")
	private String requireBId;

	//	//@Column(name="REQUIRE_CODE")
	private String requireCode;

	//	//@Column(name="REQUIRE_DESC")
	private String requireDesc;

	//	//@Column(name="REQUIRE_MODE")
	private BigDecimal requireMode;

	//	//@Column(name="REQUIRE_NAME")
	private String requireName;

	//	//@Column(name="REQUIRE_ORIGINAL_ID")
	private String requireOriginalId;

	//	//@Column(name="REQUIRE_TIME")
	//	//@Temporal(TemporalType.TIMESTAMP)
	private Date requireTime;

	//	//@Column(name="REQURE_TYPE")
	private BigDecimal requreType;

	private BigDecimal resolution;

	//	//@Column(name="ROLL_ANGLE")
	private BigDecimal rollAngle;

	//	//@Column(name="RUN_TYPE")
	private String runType;

	private String satellites;

	//	//@Column(name="SCALE_TIME")
	private BigDecimal scaleTime;

	//	//@Column(name="SCENARIO_ID")
	private String scenarioId;

	//	//@Column(name="SCOUT_START_TIME")
	//	//@Temporal(TemporalType.TIMESTAMP)
	private Date scoutStartTime;

	//	//@Column(name="SCOUT_STOP_TIME")
	//	//@Temporal(TemporalType.TIMESTAMP)
	private Date scoutStopTime;

	//	//@Column(name="SCOUT_TYPE")
	private BigDecimal scoutType;

	//	//@Column(name="SENSOR_BAND")
	private String sensorBand;

	//	//@Column(name="SENSOR_MODE")
	private String sensorMode;

	//	//@Column(name="SOLAR_ELEVATION")
	private BigDecimal solarElevation;

	private String status;

	//	//@Column(name="UPDATE_TIME")
	//	//@Temporal(TemporalType.TIMESTAMP)
	private Date updateTime;

	//	//@Column(name="USER_ID")
	private String userId;

	//	//@Column(name="YAW_ANGLE")
	private BigDecimal yawAngle;

	//bi-directional many-to-one association to XjBizTarget
	//	//@ManyToOne
	//	//@JoinColumn(name="TARGET_ID")
	
	public BizRequire() {
	}

	public BizRequire(XjBizRequire xjBizRequire) {
		BeanUtils.copyProperties(xjBizRequire, this);
	}

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getAreaId() {
		return this.areaId;
	}

	public void setAreaId(String areaId) {
		this.areaId = areaId;
	}

	public String getColoudLevel() {
		return this.coloudLevel;
	}

	public void setColoudLevel(String coloudLevel) {
		this.coloudLevel = coloudLevel;
	}

	public String getCompressRatio() {
		return this.compressRatio;
	}

	public void setCompressRatio(String compressRatio) {
		this.compressRatio = compressRatio;
	}

	public BigDecimal getFirstPrinciple() {
		return this.firstPrinciple;
	}

	public void setFirstPrinciple(BigDecimal firstPrinciple) {
		this.firstPrinciple = firstPrinciple;
	}

	public String getImagingTime() {
		return this.imagingTime;
	}

	public void setImagingTime(String imagingTime) {
		this.imagingTime = imagingTime;
	}

	public BigDecimal getIsRealtimeTrans() {
		return this.isRealtimeTrans;
	}

	public void setIsRealtimeTrans(BigDecimal isRealtimeTrans) {
		this.isRealtimeTrans = isRealtimeTrans;
	}

	public BigDecimal getIsScale() {
		return this.isScale;
	}

	public void setIsScale(BigDecimal isScale) {
		this.isScale = isScale;
	}

	public BigDecimal getIsStripSplitting() {
		return this.isStripSplitting;
	}

	public void setIsStripSplitting(BigDecimal isStripSplitting) {
		this.isStripSplitting = isStripSplitting;
	}

	public BigDecimal getIsTereoImaging() {
		return this.isTereoImaging;
	}

	public void setIsTereoImaging(BigDecimal isTereoImaging) {
		this.isTereoImaging = isTereoImaging;
	}

	public String getMeasureStation() {
		return this.measureStation;
	}

	public void setMeasureStation(String measureStation) {
		this.measureStation = measureStation;
	}

	

	public String getColumnName() {
		return columnName;
	}

	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}

	public String getPayloads() {
		return this.payloads;
	}

	public void setPayloads(String payloads) {
		this.payloads = payloads;
	}

	public BigDecimal getPitchAngle() {
		return this.pitchAngle;
	}

	public void setPitchAngle(BigDecimal pitchAngle) {
		this.pitchAngle = pitchAngle;
	}

	public BigDecimal getPriority() {
		return this.priority;
	}

	public void setPriority(BigDecimal priority) {
		this.priority = priority;
	}

	public String getProductDest() {
		return this.productDest;
	}

	public void setProductDest(String productDest) {
		this.productDest = productDest;
	}

	public String getProductFormat() {
		return this.productFormat;
	}

	public void setProductFormat(String productFormat) {
		this.productFormat = productFormat;
	}

	public String getProductLevel() {
		return this.productLevel;
	}

	public void setProductLevel(String productLevel) {
		this.productLevel = productLevel;
	}

	public String getProductType() {
		return this.productType;
	}

	public void setProductType(String productType) {
		this.productType = productType;
	}

	public String getReceiveStation() {
		return this.receiveStation;
	}

	public void setReceiveStation(String receiveStation) {
		this.receiveStation = receiveStation;
	}

	public String getRelayStatellite() {
		return this.relayStatellite;
	}

	public void setRelayStatellite(String relayStatellite) {
		this.relayStatellite = relayStatellite;
	}

	public String getReqGroup() {
		return this.reqGroup;
	}

	public void setReqGroup(String reqGroup) {
		this.reqGroup = reqGroup;
	}

	public String getReqUnit() {
		return this.reqUnit;
	}

	public void setReqUnit(String reqUnit) {
		this.reqUnit = reqUnit;
	}

	public String getReqiureSource() {
		return this.reqiureSource;
	}

	public void setReqiureSource(String reqiureSource) {
		this.reqiureSource = reqiureSource;
	}

	public String getReqiureSourceDesc() {
		return this.reqiureSourceDesc;
	}

	public void setReqiureSourceDesc(String reqiureSourceDesc) {
		this.reqiureSourceDesc = reqiureSourceDesc;
	}

	public String getRequireBId() {
		return this.requireBId;
	}

	public void setRequireBId(String requireBId) {
		this.requireBId = requireBId;
	}

	public String getRequireCode() {
		return this.requireCode;
	}

	public void setRequireCode(String requireCode) {
		this.requireCode = requireCode;
	}

	public String getRequireDesc() {
		return this.requireDesc;
	}

	public void setRequireDesc(String requireDesc) {
		this.requireDesc = requireDesc;
	}

	public BigDecimal getRequireMode() {
		return this.requireMode;
	}

	public void setRequireMode(BigDecimal requireMode) {
		this.requireMode = requireMode;
	}

	public String getRequireName() {
		return this.requireName;
	}

	public void setRequireName(String requireName) {
		this.requireName = requireName;
	}

	public String getRequireOriginalId() {
		return this.requireOriginalId;
	}

	public void setRequireOriginalId(String requireOriginalId) {
		this.requireOriginalId = requireOriginalId;
	}

	public Date getRequireTime() {
		return this.requireTime;
	}

	public void setRequireTime(Date requireTime) {
		this.requireTime = requireTime;
	}

	public BigDecimal getRequreType() {
		return this.requreType;
	}

	public void setRequreType(BigDecimal requreType) {
		this.requreType = requreType;
	}

	public BigDecimal getResolution() {
		return this.resolution;
	}

	public void setResolution(BigDecimal resolution) {
		this.resolution = resolution;
	}

	public BigDecimal getRollAngle() {
		return this.rollAngle;
	}

	public void setRollAngle(BigDecimal rollAngle) {
		this.rollAngle = rollAngle;
	}

	public String getRunType() {
		return this.runType;
	}

	public void setRunType(String runType) {
		this.runType = runType;
	}

	public String getSatellites() {
		return this.satellites;
	}

	public void setSatellites(String satellites) {
		this.satellites = satellites;
	}

	public BigDecimal getScaleTime() {
		return this.scaleTime;
	}

	public void setScaleTime(BigDecimal scaleTime) {
		this.scaleTime = scaleTime;
	}

	public String getScenarioId() {
		return this.scenarioId;
	}

	public void setScenarioId(String scenarioId) {
		this.scenarioId = scenarioId;
	}

	public Date getScoutStartTime() {
		return this.scoutStartTime;
	}

	public void setScoutStartTime(Date scoutStartTime) {
		this.scoutStartTime = scoutStartTime;
	}

	public Date getScoutStopTime() {
		return this.scoutStopTime;
	}

	public void setScoutStopTime(Date scoutStopTime) {
		this.scoutStopTime = scoutStopTime;
	}

	public BigDecimal getScoutType() {
		return this.scoutType;
	}

	public void setScoutType(BigDecimal scoutType) {
		this.scoutType = scoutType;
	}

	public String getSensorBand() {
		return this.sensorBand;
	}

	public void setSensorBand(String sensorBand) {
		this.sensorBand = sensorBand;
	}

	public String getSensorMode() {
		return this.sensorMode;
	}

	public void setSensorMode(String sensorMode) {
		this.sensorMode = sensorMode;
	}

	public BigDecimal getSolarElevation() {
		return this.solarElevation;
	}

	public void setSolarElevation(BigDecimal solarElevation) {
		this.solarElevation = solarElevation;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getUserId() {
		return this.userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public BigDecimal getYawAngle() {
		return this.yawAngle;
	}

	public void setYawAngle(BigDecimal yawAngle) {
		this.yawAngle = yawAngle;
	}

	
}